Start Upgrade

Start Upgrade
Start HCX Manager Upgrade

Starts the upgrade of the HCX Manager appliance to the target version, using a previously uploaded and validated upgrade bundle. The upgrade proceeds asynchronously. Poll /api/admin/v2/upgrade/status to track progress.

Request
URI
POST
https://{server}:9443/api/admin/v2/upgrade/start
COPY
Request Body
UpgradeRequest of type(s) application/json
Required  

Show optional properties

{
    "targetVersion": "9.0.0.00000"
}
{
    "targetVersion": "9.0.0.00000",
    "upgradePolicy": {
        "skipVmSnapshot": false,
        "skipUpgradeValidation": false,
        "skipConfigBackup": false
    }
}
string
targetVersion
Required  

Version of the uploaded upgrade bundle to upgrade to

object
upgradePolicy
Optional

Options that control optional steps performed during the upgrade

Authentication
This operation uses the following authentication methods.
Responses
202

Upgrade request accepted

Operation doesn't return any data structure

400

Invalid request, e.g. target version not eligible for upgrade from the current version

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


404

Not found - no validated upgrade bundle available for the target version

Returns UpgradeErrorResponse of type(s) application/json
{
    "errorCode": "UPGRADE_IN_PROGRESS",
    "message": "Another upgrade process for HCX Manager is already in progress.",
    "remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


409

Conflict - an upload or upgrade is already in progress

Returns UpgradeErrorResponse of type(s) application/json
"UpgradeErrorResponse Object"
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


500

Internal server error

Returns UpgradeErrorResponse of type(s) application/json
"UpgradeErrorResponse Object"
string
errorCode
Optional

The error code

string
message
Optional

The localized error message

string
remediation
Optional

Remediation for the error


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"targetVersion":"string"}' https://{api_host}/api/admin/v2/upgrade/start